Panda3D

Loading...
Searching...
No Matches
Typedefs | Functions | Variables
pta_LVecBase3.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "luse.h"`
`#include "pointerToArray.h"`

Go to the source code of this file.

## Typedefs
typedef CPTA_LVecBase3f | CPTA_LVecBase3
typedef ConstPointerToArray< LVecBase3d > | CPTA_LVecBase3d
typedef ConstPointerToArray< LVecBase3f > | CPTA_LVecBase3f
typedef ConstPointerToArray< LVecBase3i > | CPTA_LVecBase3i
typedef PTA_LVecBase3f | PTA_LVecBase3

## Functions
PointerToArrayBase< LVecBase3d > | EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_MATHUTIL, EXPTP_PANDA_MATHUTIL, PointerToArray< LVecBase3d >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_MATHUTIL
PointerToArrayBase< LVecBase3f > | EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_MATHUTIL, EXPTP_PANDA_MATHUTIL, PointerToArray< LVecBase3f >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_MATHUTIL
PointerToArrayBase< LVecBase3i > | EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_MATHUTIL, EXPTP_PANDA_MATHUTIL, PointerToArray< LVecBase3i >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_MATHUTIL
| EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_MATHUTIL, EXPTP_PANDA_MATHUTIL, PointerToBase< ReferenceCountedVector< LVecBase3d > >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_MATHUTIL
| A pta of LVecBase3ds.
| EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_MATHUTIL, EXPTP_PANDA_MATHUTIL, PointerToBase< ReferenceCountedVector< LVecBase3f > >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_MATHUTIL
| A pta of LVecBase3fs.
| EXPORT_TEMPLATE_CLASS (EXPCL_PANDA_MATHUTIL, EXPTP_PANDA_MATHUTIL, PointerToBase< ReferenceCountedVector< LVecBase3i > >) EXPORT_TEMPLATE_CLASS(EXPCL_PANDA_MATHUTIL
| A pta of LVecBase3is.

## Variables
| EXPTP_PANDA_MATHUTIL
PointerToArrayBase< LVecBase3d > ConstPointerToArray< LVecBase3d > typedef PointerToArray< LVecBase3d > | PTA_LVecBase3d
PointerToArrayBase< LVecBase3f > ConstPointerToArray< LVecBase3f > typedef PointerToArray< LVecBase3f > | PTA_LVecBase3f
PointerToArrayBase< LVecBase3i > ConstPointerToArray< LVecBase3i > typedef PointerToArray< LVecBase3i > | PTA_LVecBase3i

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2010-02-27

Definition in file pta_LVecBase3.h.

## Typedef Documentation

## ◆ CPTA_LVecBase3

typedef CPTA_LVecBase3f CPTA_LVecBase3

Definition at line 68 of file pta_LVecBase3.h.

## ◆ CPTA_LVecBase3d

typedef ConstPointerToArray<LVecBase3d> CPTA_LVecBase3d

Definition at line 49 of file pta_LVecBase3.h.

## ◆ CPTA_LVecBase3f

typedef ConstPointerToArray<LVecBase3f> CPTA_LVecBase3f

Definition at line 34 of file pta_LVecBase3.h.

## ◆ CPTA_LVecBase3i

typedef ConstPointerToArray<LVecBase3i> CPTA_LVecBase3i

Definition at line 64 of file pta_LVecBase3.h.

## ◆ PTA_LVecBase3

typedef PTA_LVecBase3f PTA_LVecBase3

Definition at line 67 of file pta_LVecBase3.h.

## Function Documentation

## ◆ EXPORT_TEMPLATE_CLASS() [1/3]

EXPORT_TEMPLATE_CLASS | ( | EXPCL_PANDA_MATHUTIL | ,
|  | EXPTP_PANDA_MATHUTIL | ,
|  | PointerToBase< ReferenceCountedVector< LVecBase3d > > | )

A pta of LVecBase3ds.

This class is defined once here, and exported to PANDA.DLL; other packages that want to use a pta of this type (whether they need to export it or not) should include this header file, rather than defining the pta again.

## ◆ EXPORT_TEMPLATE_CLASS() [2/3]

EXPORT_TEMPLATE_CLASS | ( | EXPCL_PANDA_MATHUTIL | ,
|  | EXPTP_PANDA_MATHUTIL | ,
|  | PointerToBase< ReferenceCountedVector< LVecBase3f > > | )

A pta of LVecBase3fs.

This class is defined once here, and exported to PANDA.DLL; other packages that want to use a pta of this type (whether they need to export it or not) should include this header file, rather than defining the pta again.

## ◆ EXPORT_TEMPLATE_CLASS() [3/3]

EXPORT_TEMPLATE_CLASS | ( | EXPCL_PANDA_MATHUTIL | ,
|  | EXPTP_PANDA_MATHUTIL | ,
|  | PointerToBase< ReferenceCountedVector< LVecBase3i > > | )

A pta of LVecBase3is.

This class is defined once here, and exported to PANDA.DLL; other packages that want to use a pta of this type (whether they need to export it or not) should include this header file, rather than defining the pta again.

## Variable Documentation

## ◆ EXPTP_PANDA_MATHUTIL

PointerToArrayBase< LVecBase3i > EXPTP_PANDA_MATHUTIL

Definition at line 29 of file pta_LVecBase3.h.

## ◆ PTA_LVecBase3d

PointerToArrayBase< LVecBase3d > ConstPointerToArray<LVecBase3d> typedef PointerToArray<LVecBase3d> PTA_LVecBase3d

Definition at line 48 of file pta_LVecBase3.h.

## ◆ PTA_LVecBase3f

PointerToArrayBase< LVecBase3f > ConstPointerToArray<LVecBase3f> typedef PointerToArray<LVecBase3f> PTA_LVecBase3f

Definition at line 33 of file pta_LVecBase3.h.

## ◆ PTA_LVecBase3i

PointerToArrayBase< LVecBase3i > ConstPointerToArray<LVecBase3i> typedef PointerToArray<LVecBase3i> PTA_LVecBase3i

Definition at line 63 of file pta_LVecBase3.h.